
Katello - Bug #5080

Puppet module name listing is not org safe

04/04/2014 07:19 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1.  In org A create a repo and upload a puppet module

2.  In org A create another repo and upload a differently named puppet module

3.  In org B, create a repo and upload a differently named puppet module

4.  In org A create a content view and attempt to add a puppet module by name, note the list of of available puppet module names

5.  In org b create a content view and attempt to add a puppet module by name, note the list of of available puppet module names

On step 4, the listed puppet modules should only display the names from steps 1 & 2

On step 5, the listed puppet modules should only display the name from step 3

One of these will not be the case.

Associated revisions

Revision aafb8c89 - 04/05/2014 12:26 AM - Justin Sherrill

fixes #5080 - invalid puppet module names would show to add to CV

due to the way facet filters work, you need to specify :and between all the filters

unlike in a normal search where you can specify multiple filter lines

and tire will :and them together

Revision 53902fbe - 04/14/2014 04:34 PM - Justin Sherrill

Merge pull request #3949 from jlsherrill/puppet_orgs

fixes #5080 - invalid puppet module names would show to add to CV

History

#1 - 04/14/2014 04:53 PM - Justin Sherrill

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:aafb8c89d94ef75b80fd1935e4821a451ff99d12.

#2 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
